Skip to main content
POST
Promote a replica to primary (Switchover)

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required

namespace is required

Minimum string length: 1

Body

application/json
instanceName
string
required

Pod name whose role will be transferred (e.g. falkordb-replication-falkordb-0)

Minimum string length: 1
candidateName
string

Pod name to be promoted; if omitted KubeBlocks chooses the candidate

componentName
string

Component to operate on. Defaults to the data component: shard for sharded deployments, falkordb otherwise.

Response

Default Response

message
string
required
opsName
string
required

Name of the created OpsRequest resource

clusterName
string
required
type
string
required
phase
string
liveApplyOpsName
string
liveApplyError
string